export declare type Reducer<State, Action> = (state: State, action: Action) => State;
export declare function compose<State, Action>(reducer: Reducer<State, Action>, ...others: Reducer<State, Action>[]): (state: State, action: Action) => State;
export declare function matchReduce<Field extends string | number | symbol, State, Action extends {
    [_ in Field]: any;
}>(field: Field, matches: {
    [k in Action[Field]]: (state: State, action: Action extends {
        [_ in Field]: k;
    } ? Action : never) => State;
}): Reducer<State, Action>;
export declare function reduceOnKind<State, Action extends {
    kind: any;
}>(matches: {
    [k in Action['kind']]: (state: State, action: Action extends {
        kind: k;
    } ? Action : never) => State;
}): Reducer<State, Action>;
//# sourceMappingURL=reducer.d.ts.map