/**
 * All attributes and DOM values in a Tempo app are described by either literal
 * values or values that are derived from the app current state.
 */
/**
 * Describes a `Value` that can only be inferred from some other value `State`.
 */
export declare type DerivedValue<State, Value> = (state: State) => Value | undefined;
/**
 * A value that can be either a literal or derived from a state.
 */
export declare type DerivedOrLiteralValue<State, Value> = Value | DerivedValue<State, Value>;
//# sourceMappingURL=value.d.ts.map