"use strict";
/*
Copyright 2019 Google LLC
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at
    https://www.apache.org/licenses/LICENSE-2.0
Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.reduceOnKind = exports.matchReduce = exports.compose = void 0;
function compose(reducer) {
    var others = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        others[_i - 1] = arguments[_i];
    }
    return function (state, action) {
        return others.reduce(function (s, f) { return f(s, action); }, reducer(state, action));
    };
}
exports.compose = compose;
function matchReduce(field, matches) {
    return function (state, action) {
        var key = action[field];
        return matches[key](state, action);
    };
}
exports.matchReduce = matchReduce;
function reduceOnKind(matches) {
    return function (state, action) {
        var key = action.kind;
        return matches[key](state, action);
    };
}
exports.reduceOnKind = reduceOnKind;
//# sourceMappingURL=reducer.js.map